##  for PCLinuxOS  ##

%define src_name Baka-MPlayer

%define ver 2.0.4
%define rel 0.7

%define git 1
%if %{git}
%define git_date 20180610
%define realrel %{rel}.git%{git_date}.nora18
%else
%define realrel %{rel}.nora18
%endif

Name:    baka-mplayer
Summary: The mpv based media player
Version: %{ver}
Release: %{realrel}
License: GPLv2
Group:   Video
URL:     http://bakamplayer.u8sand.net

%if %{git}
Source0: %{src_name}-git%{git_date}.tar.xz
%else
Source0: %{src_name}-%{version}.tar.gz
%endif

BuildRequires: lib64qt5base5-devel >= 5.2.0
BuildRequires: qt5svg-devel
BuildRequires: qt5x11extras-devel
#BuildRequires: qt5declarative-devel
BuildRequires: qttools5
BuildRequires: mpv-devel

Requires: qtbase5-common
Requires: lib64qt5widgets5
Requires: lib64qt5x11extras5
Requires: qtdeclarative5
Requires: lib64qtsvg5 

%description
Baka MPlayer is a free and open source, cross-platform, libmpv based multimedia
player.
Its simple design reflects the idea for an uncluttered, simple, and enjoyable environment for watching tv shows.


%prep
%if %{git}
%setup -q -n %{src_name}-git%{git_date}
%else
%setup -q -n %{src_name}-%{version}
%endif


%build
%qmake_qt5 \
src/Baka-MPlayer.pro \
CONFIG+="release install_translations man.extra" \
lupdate=%{_libdir}/qt5/bin/lupdate \
lrelease=%{_libdir}/qt5/bin/lrelease \
DOCDIR=%{_docdir} \
LICENSEDIR=%{_docdir} \
SETTINGS_FILE=bakamplayer

%make_build


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std INSTALL_ROOT=$RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc DOCS/%{name}.md LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/applications/%{name}.desktop


%changelog
* Thu Jul 12 2018 tomcat <> 2.0.4-0.7.git20180610
- git.20180610

* Thu Jul 12 2018 tomcat <> 2.0.4-0.6.git20170103
- add 'R:lib64qt5x11extras5' instead of 'R:lib64qtx11extras5'

* Sat Sep 16 2017 tomcat <> 2.0.4-0.5.git20170103
- git.20170103

* Sat Apr 09 2016 tomcat <> 2.0.4-0.4
- drop BR:qt5declarative-devel
- add 'R:qtdeclarative5' instead of 'R:lib64qt5declarative5'

* Wed Feb 10 2016 tomcat <> 2.0.4-0.3
- add build option "SETTINGS_FILE=bakamplayer"

* Mon Feb 08 2016 tomcat <> 2.0.4-0.2
- fix BuildRequires and Requires

* Mon Feb 08 2016 tomcat <> 2.0.4-0.1
- initial build for PCLinuxOS
- SPEC file imported from Fedora
